Subject: bug#39274: Warn when using obsolete command interactively

From: Stefan Kangas <[email-masked]>
Date: Sat, 25 Jan 2020 00:25:35 +0100

Severity: wishlist

When I run an obsolete command interactively, e.g.
`M-x eshell-report-bug', there is no indication that this is an
obsolete command which will be removed in a future version of Emacs.

It's good that there is a warning from the byte-compiler, but it
doesn't help with commands that are normally only used interactively.

This leads to a situation where users can happily be using these
commands, and when upgrading find that they no longer exist.  They
also don't know what to use instead without researching online.

Please add a warning along these lines:

(message "The `%s' command is obsolete since version %s, use `%s' instead"
         obsolete-name version current-name)

Best regards,
Stefan Kangas